from django.urls import path, include
from . import views

urlpatterns = [
    path('', views.DashboardHomeView.as_view(), name='home'),

    path('orders/', views.OrderListView.as_view(), name='order-list'),
    path('orders/<int:pk>/', include([
        path('', views.OrderDetailView.as_view(), name='order-detail'),
        # path('update/', views.OrderUpdateView.as_view(), name='product-update'),
        # path('delete/', views.OrderDeleteView.as_view(), name='product-delete'),
        path('fulfill/', views.OrderFulfillView.as_view(), name='order-fulfill'),
    ])),

    path('products/', views.ProductListView.as_view(), name='product-list'),
    path('products/new/', views.ProductCreateView.as_view(), name='product-create'),
    path('<int:pk>/', include([
        path('', views.ProductDetailView.as_view(), name='product-detail'),
        # path('update/', views.ProductUpdateView.as_view(), name='product-update'),
        # path('delete/', views.ProductDeleteView.as_view(), name='product-delete'),
    ])),

    path('customers/', views.CustomerListView.as_view(), name='customer-list'),
    path('customers/<int:pk>/', include([
        path('', views.CustomerDetailView.as_view(), name='customer-detail'),
        path('update/', views.CustomerUpdateView.as_view(), name='customer-update'),
        # path('delete/', views.CustomerDeleteView.as_view(), name='customer-delete'),
    ])),
]
